package emps.v3_funkcyjnie;

import java.util.List;

public class F0_WypiszWszystko {

    public static void main(String[] args) {
        List<Employee> emps = ObslugaCSV.wczytajDane();
        
        // Dla każdego elementu listy wykonywana jest operacja przekazana jako parametr,
        // czyli operacja System.out.println()
        // tutaj używamy "method reference"
        emps.forEach(System.out::println);
        
        // można też napisać tak, używając "lambda expression"
        // emps.forEach(emp -> System.out.println(emp));
    }

}
